Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class AbstractInjectionFactory

    java.lang.Object
      org.picocontainer.injectors.AbstractInjectionFactory

All Implemented Interfaces:
  Serializable, ComponentFactory, InjectionFactory

Direct Known Subclasses:
  AdaptingInjection, AnnotatedFieldInjection, AnnotatedMethodInjection, CompositeInjection, ConstructorInjection, MethodInjection, MethodInjection.MethodInjectionByName, MethodInjection.MethodInjectionByReflectionMethod, MultiInjection, NamedFieldInjection, SetterInjection, TypedFieldInjection

    public abstract class AbstractInjectionFactory

extends Object
implements InjectionFactory, Serializable

See Also:
  Serialized Form

Constructor Summary
`AbstractInjectionFactory()`

Method Summary
`void` | `accept(PicoVisitor visitor)` Accepts a visitor for this ComponentFactory.
`void` | `verify(PicoContainer container)` Verification for the ComponentFactory - subject to implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.picocontainer.ComponentFactory
`createComponentAdapter`

Constructor Detail

### AbstractInjectionFactory

    public AbstractInjectionFactory()

Method Detail

### verify

    public void verify(PicoContainer container)

  Description copied from interface: `ComponentFactory`
  Verification for the ComponentFactory - subject to implementation.

  Specified by:
    `verify` in interface `ComponentFactory`
  Parameters:
    `container` - the `PicoContainer`, that is used for verification.

### accept

    public final void accept(PicoVisitor visitor)

  Description copied from interface: `ComponentFactory`
  Accepts a visitor for this ComponentFactory. The method is normally called by visiting a `PicoContainer`, that cascades the visitor also down to all its ComponentFactory instances.

  Specified by:
    `accept` in interface `ComponentFactory`
  Parameters:
    `visitor` - the visitor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.